com.io7m.r2.filters

## Class R2ShaderFilterBilateralBlurDepthAwareVertical4f

- java.lang.Object
- - com.io7m.r2.core.shaders.provided.R2AbstractShader<R2ShaderFilterBilateralBlurDepthAwareParameters>
  - - com.io7m.r2.filters.R2ShaderFilterBilateralBlurDepthAwareVertical4f

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShaderFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters>, R2ShaderFilterUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>, R2ShaderScreenType<R2ShaderFilterBilateralBlurDepthAwareParameters>, R2ShaderScreenUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>, R2ShaderType<R2ShaderFilterBilateralBlurDepthAwareParameters>, R2ShaderUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>

      public final class R2ShaderFilterBilateralBlurDepthAwareVertical4f
      extends R2AbstractShader<R2ShaderFilterBilateralBlurDepthAwareParameters>
      implements R2ShaderFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters>

  A bilateral depth-aware blur vertical RGBA shader.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static R2ShaderFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters>` | `newShader(com.io7m.jcanephora.core.api.JCGLShadersType in_shaders, R2ShaderPreprocessingEnvironmentReadableType in_shader_env, R2IDPoolType in_pool)` Construct a new shader.
    `void` | `onReceiveFilterValues(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g, R2ShaderParametersFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters> parameters)` Set filter values.
    `void` | `onValidate()` Validate the shader prior to executing a draw call.
    `Class<R2ShaderFilterBilateralBlurDepthAwareParameters>` | `shaderParametersType()`

    - ### Methods inherited from class com.io7m.r2.core.shaders.provided.R2AbstractShader

      `delete, isDeleted, onActivate, onDeactivate, shaderID, shaderProgram`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, shaderID, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### newShader

          public static R2ShaderFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters> newShader(com.io7m.jcanephora.core.api.JCGLShadersType in_shaders,
                                                                                                      R2ShaderPreprocessingEnvironmentReadableType in_shader_env,
                                                                                                      R2IDPoolType in_pool)

      Construct a new shader.
      Parameters:
        `in_shaders` - A shader interface
        `in_shader_env` - Shader sources
        `in_pool` - The ID pool
      Returns:
        A new shader

    - #### shaderParametersType

          public Class<R2ShaderFilterBilateralBlurDepthAwareParameters> shaderParametersType()

      Specified by:
        `shaderParametersType` in interface `R2ShaderUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>`
      Returns:
        The shader parameter type

    - #### onValidate

          public void onValidate()
                          throws R2ExceptionShaderValidationFailed

      Description copied from interface: `R2ShaderUsableType`
      Validate the shader prior to executing a draw call. This method exists so that shader implementations can check that the caller has called all required methods before drawing.
      Specified by:
        `onValidate` in interface `R2ShaderUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>`
      Throws:
        `R2ExceptionShaderValidationFailed` - If validation fails

    - #### onReceiveFilterValues

          public void onReceiveFilterValues(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type g,
                                            R2ShaderParametersFilterType<R2ShaderFilterBilateralBlurDepthAwareParameters> parameters)

      Description copied from interface: `R2ShaderFilterUsableType`

      Set filter values.

      This method will be called exactly once between calls to `R2ShaderUsableType.onActivate(JCGLInterfaceGL33Type)` and `R2ShaderUsableType.onValidate()`.

      Specified by:
        `onReceiveFilterValues` in interface `R2ShaderFilterUsableType<R2ShaderFilterBilateralBlurDepthAwareParameters>`
      Parameters:
        `g` - A texture interface
        `parameters` - The current filter parameters

Copyright © 2016 <code@io7m.com> http://io7m.com